# $Revision: 1.70 $, $Date: 2009/10/09 19:56:07 $
Summary:	Protocol for Keeping Track of Dynamically Allocated IP
Summary(pl.UTF-8):	Protokołu śledzenia dynamicznie przydzielanych adresów IP
Name:		whoson
Version:	2.05
Release:	1
License:	Public Domain
Group:		Networking
Source0:	http://dl.sourceforge.net/whoson/%{name}-%{version}.tar.gz
# Source0-md5:	5c36fbaca0f8a618af2433fc92b3e5b2
Source1:	%{name}.init
Source2:	%{name}.conf
URL:		http://whoson.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}

%description
Simple method for Internet server programs to know if a particular
(dynamically allocated) IP address is currently allocated to a known
(trusted) user and, optionally, the identity of the said user.

%description -l pl.UTF-8
Program oraz biblioteka będące implementacją protokołu WHOSON
pozwalającego innym programom na śledzenie dynamicznie przydzielanych
IP używanych przez znanych (zaufanych) użytkowników.

%package server
Summary:	Whoson server binary and scripts
Summary(pl.UTF-8):	Plik binarny i skrypty serwera whoson
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description server
Whoson server binary and scripts.

%description server -l pl.UTF-8
Plik binarny i skrypty serwera whoson.

%package devel
Summary:	Header files and development docomentation for whoson
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja dla dla programistów do whosona
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is whoson development package. It includes files and development
docomentation for whoson.

%description devel -l pl.UTF-8
To jest pakiet dla programistów. Zawiera pliki nagłówkowe i
dokumentację do whosona.

%package static
Summary:	Static whoson library
Summary(pl.UTF-8):	Biblioteka statyczna whosona
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static whoson library.

%description static -l pl.UTF-8
Biblioteka statyczna whosona.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/lib/whosond}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/whosond
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}

for i in wso_login wso_logout wso_query wso_version; do
	rm -f $RPM_BUILD_ROOT%{_mandir}/man3/$i.3
	echo ".so whoson.3" > $RPM_BUILD_ROOT%{_mandir}/man3/$i.3
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post server
/sbin/chkconfig --add whosond
%service whosond restart "whosond daemon"

%preun server
if [ "$1" = "0" ]; then
	%service whosond stop
	/sbin/chkconfig --del whosond
fi

%files
%defattr(644,root,root,755)
%doc README whoson.txt
%attr(755,root,root) %{_sbindir}/whoson
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/whoson.conf
%{_mandir}/man[58]/*

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/whosond
%attr(754,root,root) /etc/rc.d/init.d/whosond
%dir /var/lib/whosond

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: whoson.spec,v $
Revision 1.70  2009/10/09 19:56:07  arekm
- up to 2.05

Revision 1.69  2008/08/27 16:56:22  rotom
- up to 2.04

Revision 1.68  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.67  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.66  2006/05/21 22:29:37  glen
- rel 2

Revision 1.65  2006/03/13 23:14:32  glen
- use %service

Revision 1.64  2005/10/02 12:05:38  darekr
- strict deps, sort verify flags

Revision 1.63  2005/06/12 09:13:43  megabajt
- added URL

Revision 1.62  2004/10/31 14:31:20  paladine
- spaces->tabs
- formatting

Revision 1.61  2004/10/29 15:19:26  paladine
- spelling fixes

Revision 1.60  2003/08/20 21:23:54  undefine
- update to 2.03

Revision 1.59  2003/05/25 11:01:34  malekith
- massive attack, adding Source-md5

Revision 1.58  2003/05/25 06:27:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.56  2003/01/06 11:56:24  qboosh
- just update config.* from automake instead of using workarounds
- moved server prereqs to server package
- noreplace for whoson.conf

Revision 1.55  2003/01/05 18:29:49  radek
- workaround for configure.sub not recognizing athlon

Revision 1.54  2002/11/29 22:47:07  ankry
- massive attack: new %%doc

Revision 1.53  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.52  2002/05/21 23:14:57  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/04/05 15:11:40  roman
s/Public domain/Public Domain in License

Revision 1.50  2002/02/23 05:04:59  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/18 02:15:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2001/11/17 17:32:16  kloczek
- release 2,
- corrected man pages level 3 (use roff .so links),
- cosmetics.

Revision 1.46  2001/10/05 23:48:01  rrw
- run ldconfig in base package, not in server

Revision 1.45  2001/09/28 22:27:41  areq
- 2.02a, STBR
- fix bug in chroot path length
- chroot to /var/lib/whosond

Revision 1.44  2001/09/28 12:38:50  areq
- update to 2.02, STBR
- remove config.pach
- add SOURCE2 - sample whoson.conf
- new options in whoson.conf chroot=/dir !

Revision 1.43  2001/09/25 14:40:07  qboosh
- release 5: Prereq: /sbin/chkconfig

Revision 1.42  2001/09/10 15:22:08  rrw
- added Requires: whoson to -server package (needs /etc/whoson.conf);
- release 4;

Revision 1.41  2001/09/10 15:05:03  mkochano
- Release 3.
- Added ,,server'' subpackage.
- ,,whosond'' and rc script moved to ,,server'' subpackage.
- s/%%description devel/%%description static/ where needed ;)

Revision 1.40  2001/08/01 00:21:08  rrw
- outdated and unused patch
- whoson.d and whoson.s are sockets, not directories
- release 2 (rel 1 wasn't really working for unix domain sockets)

Revision 1.39  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2001/07/24 17:43:05  areq
- 2.01
- fix source URL

Revision 1.36  2001/07/23 06:25:32  rrw
- restored autoheader/aclocal/autoconf/automake
- added libtoolize -c -f in front of the above
- changed %configure2_13 back to %configure
- no release change

Revision 1.35  2001/07/23 03:21:13  rrw
- removed autoheader/aclocal/autoconf/automake
- changed %configure to %configure2_13 (works now)
- added manual install of /etc/whoson.conf
- release 1 (first release of 2.00 that actually compiles and builds)

Revision 1.34  2001/07/19 01:00:27  kloczek
- added /var/run/whoson.{s,d} directories to %files.

Revision 1.33  2001/07/19 00:26:19  kloczek
- spec adapterized,
- added missing BuildRequires rules,
- small simplification in %files,
- rewrited init script to be template.init compliat.

Revision 1.32  2001/07/18 22:40:12  rrw
/etc/whoson.conf needs read permitions for `others' in order to let
anyone use whoson client library.

Revision 1.31  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.30  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.29  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.28  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/06/07 10:11:51  zagrodzki
- typo
- unified post/preun

Revision 1.26  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.25  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.24  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.23  1999/09/11 14:15:39  misiek
- fixed requires (PR#63)

Revision 1.22  1999/08/31 16:38:48  kloczek
- removed wtest program.

Revision 1.21  1999/08/31 16:29:53  kloczek
- added missing lib*.so.*.* to main.

Revision 1.20  1999/08/31 16:23:24  kloczek
- updated to 1.09,
- updated autoconf patch,
- added static subpackage.

Revision 1.19  1999/08/31 12:42:22  kloczek
- release 2,
- whoson rc script into separated Source,
- restart instead stop, start sequence in %post.

Revision 1.18  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.17  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 21 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.07-1]
- now package is FHS 2.0 compliant,
- gzipping %doc instaead bzippng2,
- standarized %post/%preun (restart service on upgrade, stop service on
  removing package).

* Tue Jan 19 1999 Arkadiusz Miśkiewicz <misiek@misiek.eu.org>
  [1.06-1d]
- inital rpm release
